/*
Eine Tastenbetaetigung schließt PD0 zu GND. 
Dies soll eine LED an PB7 blinken lassen. 
Die Taste startet und stoppt den Blinkvorgang
*/

#include <avr/io.h>

#define F_CPU 1000000UL  
#include <util/delay.h>



//Funktion ledblinken
void ledblinken(void){
	PORTB |= _BV(PB7);   _delay_ms(100);
	PORTB &= ~_BV(PB7);  _delay_ms(100);
    
}


int main(void){
	DDRB |= _BV(PB7); //LED
	DDRD &= ~_BV(PD0); //Taste
	PORTD |= _BV(PD0); //Pull Up Widerstand
   	
   	int modus = 0; // modus=1->blinken und modus=0->kein_blinken
   
       while(1){
        if ( bit_is_clear(PIND,0) && (modus==0) ) 	{ledblinken(); modus=1;}
        if ( bit_is_set(PIND,0) && (modus==1) 	) 	{ledblinken();} 
        if ( bit_is_clear(PIND,0) && (modus==1) ) 	{modus=0; _delay_ms(250);_delay_ms(250);} 
    }
	
	
	return 0;
}


